package com.lideeyunji.tool.framework.dict.config;

import com.lideeyunji.tool.framework.dict.core.util.DictFrameworkUtils;
import com.lideeyunji.service.system.api.IApiDictDataApi;
import org.springframework.boot.autoconfigure.AutoConfiguration;
import org.springframework.context.annotation.Bean;

@AutoConfiguration
public class DictAutoConfiguration {

    @Bean
    @SuppressWarnings("InstantiationOfUtilityClass")
    public DictFrameworkUtils dictUtils(IApiDictDataApi apiDictDataApi) {
        DictFrameworkUtils.init(apiDictDataApi);
        return new DictFrameworkUtils();
    }

}
